package com.jeeplus.test.user.domain;

import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import java.util.Date;

/**
 * 用户社会及行业职务
 *
 * @author sunruiqi
 * @date 2022/08/22 16:48
 */
@Data
@TableName("sys_user_duties")
public class SysUserDuties implements Serializable {
    private static final long serialVersionUID = 1L;

    // id
    @TableField("id")
    private String id;

    // 创建者
    @TableField("create_by")
    private String createBy;

    // 创建时间
    @TableField("create_date")
    private Date createDate;

    // 更新者
    @TableField("update_by")
    private String updateBy;

    // 更新时间
    @TableField("update_date")
    private Date updateDate;

    // 逻辑删除标记
    @TableLogic
    @TableField("del_flag")
    private String delFlag;

    // 用户信息id
    @TableField("user_info_id")
    private String userInfoId;

    // 职务名称
    @TableField("post_name")
    private String postName;

    // 任职开始日期
    @TableField("post_begin_date")
    private Date postBeginDate;

    // 任职结束日期
    @TableField("post_end_date")
    private Date postEndDate;

    // 任职机构
    @TableField("post_office")
    private String postOffice;
}
