package com.jeeplus.test.user.domain;

import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import java.util.Date;

/**
 * 用户工作经历
 *
 * @author sunruiqi
 * @date 2022/08/22 16:48
 */
@Data
@TableName("sys_user_work")
public class SysUserWork implements Serializable {
    private static final long serialVersionUID = 1L;

    // 主键
    @TableField("id")
    private String id;

    // 创建者
    @TableField("create_by")
    private String createBy;

    // 创建时间
    @TableField("create_date")
    private Date createDate;

    // 更新者
    @TableField("update_by")
    private String updateBy;

    // 更新时间
    @TableField("update_date")
    private Date updateDate;

    // 逻辑删除标记
    @TableLogic
    @TableField("del_flag")
    private String delFlag;

    // 用户信息id
    @TableField("user_info_id")
    private String userInfoId;

    // 所在单位
    @TableField("work_name")
    private String workName;

    // 工作部门
    @TableField("work_department")
    private String workDepartment;

    // 职务或岗位
    @TableField("work_post")
    private String workPost;

    // 起始日期
    @TableField("begin_date")
    private Date beginDate;

    // 终止日期
    @TableField("end_date")
    private Date endDate;

    // 证明人
    @TableField("witness")
    private String witness;

    // 证明人联系方式
    @TableField("witness_phone")
    private String witnessPhone;
}
