package com.jeeplus.test.user.domain.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.jeeplus.test.user.domain.*;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class UserInfoDetailDto {

    // 主键
    private String id;

    // 创建者
    private String createBy;

    // 创建时间
    private Date createDate;

    // 更新者
    private String updateBy;

    // 更新时间
    private Date updateDate;

    // 逻辑删除标记
    private String delFlag;

    // 工号
    private String jobNo;

    // 姓名
    private String name;

    // 性别
    private Short sex;

    // 民族
    private Short nation;

    // 身份证号码
    private String idCard;

    // 年龄
    private Integer age;

    // 出生日期
    private Date birthday;

    // 电子邮箱
    private String eMail;

    // 移动电话
    private String mobilePhone;

    // 座机
    private String phone;

    // 员工状态
    private Short userType;

    // 银行卡号
    private String bankNumber;

    // 婚姻状态
    private Short maritalStatus;

    // 政治面貌
    private Short politicalOutlook;

    // 籍贯
    private Byte nativePlace;

    // 户口所在地
    private String registeredResidence;

    // 常住地址
    private String permanentAddress;

    // 社保账号
    private String socialInsuranceNo;

    // 医保账号
    private String medicalInsuranceNo;

    // 公积金账号
    private String accumulationFundNo;

    // 微信号
    private String wx;

    // qq
    private String qq;

    // 入职时间
    private Date entryDate;

    // 试用岗位
    private String probationPosition;

    // 试用期(月)
    private String probationTime;

    // 试用期结束日期
    private Date probationEndDate;

    // 所属部门
    private String department;

    // 岗位
    private String position;

    // 最高学历
    private String highestEducation;

    // 备注
    private String remarks;

    // 个人简介
    private String personalProfile;

    // 头像地址
    private String headPortraitUrl;

    // 手签章地址
    private String signatureUrl;

    //用户教育经历
    private List<SysUserEducation> sysUserEducations;

    //用户劳动关系
    private List<SysUserContract> sysUserContracts;

    //用户外语语种
    private List<SysUserLanguages> sysUserLanguages;

    //用户工作经历
    private List<SysUserWork> sysUserWorks;

    //用户执业资格证书
    private List<SysUserCertificate> sysUserCertificates;

    //用户职称
    private List<SysUserTitle> sysUserTitles;

    //用户家庭情况
    private List<SysUserFamily> sysUserFamilies;

    //用户培训经历
    private List<SysUserTrain> sysUserTrains;

    //用户社会及行业职务
    private List<SysUserDuties> sysUserDuties;

    //用户奖惩情况
    private List<SysUserRewards> sysUserRewards;

    //用户工作业绩
    private List<SysUserAchievement> sysUserAchievements;

    //用户电子档案
    private List<SysUserArchives> sysUserArchives;
}
