package com.jeeplus.test.user.domain;

import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import java.util.Date;

/**
 * 用户工作业绩
 *
 * @author sunruiqi
 * @date 2022/08/22 16:48
 */
@Data
@TableName("sys_user_achievement")
public class SysUserAchievement implements Serializable {
    private static final long serialVersionUID = 1L;

    // id
    @TableField("id")
    private String id;

    // 创建者
    @TableField("create_by")
    private String createBy;

    // 创建时间
    @TableField("create_date")
    private Date createDate;

    // 更新者
    @TableField("update_by")
    private String updateBy;

    // 更新时间
    @TableField("update_date")
    private Date updateDate;

    // 逻辑删除标记
    @TableLogic
    @TableField("del_flag")
    private String delFlag;

    // 用户信息id
    @TableField("user_info_id")
    private String userInfoId;

    // 项目名称
    @TableField("project_name")
    private String projectName;

    // 委托方
    @TableField("project_client")
    private String projectClient;

    // 工程分类
    @TableField("engineering_classification")
    private String engineeringClassification;

    // 规模类型/单位/数量
    @TableField("number")
    private String number;

    // 担任职务
    @TableField("post")
    private Short post;

    // 参与内容
    @TableField("content")
    private String content;
}
