package com.jeeplus.test.user.domain;

import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import java.util.Date;

/**
 * 用户奖惩情况
 *
 * @author sunruiqi
 * @date 2022/08/22 16:48
 */
@Data
@TableName("sys_user_rewards")
public class SysUserRewards implements Serializable {
    private static final long serialVersionUID = 1L;

    // id
    @TableField("id")
    private String id;

    // 创建者
    @TableField("create_by")
    private String createBy;

    // 创建时间
    @TableField("create_date")
    private Date createDate;

    // 更新者
    @TableField("update_by")
    private String updateBy;

    // 更新时间
    @TableField("update_date")
    private Date updateDate;

    // 逻辑删除标记
    @TableLogic
    @TableField("del_flag")
    private String delFlag;

    // 用户信息id
    @TableField("user_info_id")
    private String userInfoId;

    // 奖惩类型
    @TableField("rewards_type")
    private Short rewardsType;

    // 奖惩名称
    @TableField("rewards_name")
    private String rewardsName;

    // 时间
    @TableField("time")
    private String time;

    // 级别
    @TableField("level")
    private String level;

    // 原因
    @TableField("reason")
    private String reason;

    // 授予机构
    @TableField("granting_authority")
    private String grantingAuthority;
}
