package com.jeeplus.test.user.domain;

import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import java.util.Date;

/**
 * 用户培训经历
 *
 * @author sunruiqi
 * @date 2022/08/22 16:48
 */
@Data
@TableName("sys_user_train")
public class SysUserTrain implements Serializable {
    private static final long serialVersionUID = 1L;

    // id
    @TableField("id")
    private String id;

    // 创建者
    @TableField("create_by")
    private String createBy;

    // 创建时间
    @TableField("create_date")
    private Date createDate;

    // 更新者
    @TableField("update_by")
    private String updateBy;

    // 更新时间
    @TableField("update_date")
    private Date updateDate;

    // 逻辑删除标记
    @TableLogic
    @TableField("del_flag")
    private String delFlag;

    // 用户信息id
    @TableField("user_info_id")
    private String userInfoId;

    // 培训名称
    @TableField("train_name")
    private String trainName;

    // 培训机构
    @TableField("train_institution")
    private String trainInstitution;

    // 培训地点
    @TableField("train_address")
    private String trainAddress;

    // 培训起始日期
    @TableField("train_begin_date")
    private Date trainBeginDate;

    // 培训终止日期
    @TableField("train_end_date")
    private Date trainEndDate;

    // 培训类型
    @TableField("train_level")
    private Short trainLevel;

    // 学时
    @TableField("time")
    private String time;

    // 所获证书
    @TableField("certificate")
    private String certificate;

    // 文件地址
    @TableField("file_url")
    private String fileUrl;

    // 备注
    @TableField("remarks")
    private String remarks;
}
